# Changelog

## [2.1.0] - 2025-07-20

### Added
- 🎯 Modern Terminal User Interface (TUI) with Rich library
- 🎨 Beautiful color schemes and interactive panels  
- 📊 Comprehensive CFD data generation system
- 🖼️ Advanced visualization studio with multiple chart types
- ⚡ Quick analysis presets for common time periods
- 🔐 Secure authentication with token management
- 🛠️ System diagnostics and health monitoring
- 📚 Built-in help center and documentation
- 🚀 Professional pip package distribution
- 🎭 Interactive menu system with validation
- 📈 Multiple granularity options (daily/weekly/monthly)
- 🎨 Dashboard, stacked area, and distribution charts
- 💾 Automatic CSV export with timestamps
- 🌟 Enterprise-grade user experience

### Features
- **Modern TUI**: Beautiful terminal interface with Rich library
- **Authentication**: Secure Taiga API integration with token storage
- **Data Generation**: Flexible CFD analysis with custom date ranges
- **Visualizations**: Professional charts and interactive gallery
- **Quick Analysis**: One-click preset analysis options
- **Help System**: Comprehensive built-in documentation
- **Diagnostics**: System health monitoring and status checks

### Installation
```bash
pip install taiga-cfd-analytics
```

### Usage
```bash
taiga-cfd
# or
taiga-cfd-analytics
# or  
taiga-analytics
```

### Credits
- **Created by**: Muhammad Zeshan Ayub
- **GitHub**: https://github.com/ydrgzm
- **Email**: zeshanayub.connect@gmail.com
