# Security Policy

## Supported Versions

We release patches for security vulnerabilities for the following versions:

| Version | Supported          |
| ------- | ------------------ |
| 2.1.x   | :white_check_mark: |
| 2.0.x   | :white_check_mark: |
| < 2.0   | :x:                |

## Reporting a Vulnerability

We take the security of Taiga CFD Analytics seriously. If you discover a security vulnerability, please report it responsibly.

### How to Report

1. **DO NOT** create a public GitHub issue for security vulnerabilities
2. **Email us directly** at: zeshanayub.connect@gmail.com
3. **Include** the following information:
   - Description of the vulnerability
   - Steps to reproduce the issue
   - Potential impact
   - Any suggested fixes (optional)

### What to Expect

- **Acknowledgment**: We will acknowledge receipt within 48 hours
- **Investigation**: We will investigate and respond within 5 business days
- **Resolution**: Critical vulnerabilities will be patched within 7 days
- **Credit**: We will credit you in the security advisory (if desired)

### Security Best Practices

When using Taiga CFD Analytics:

- **Keep updated**: Always use the latest version
- **Secure credentials**: Never share API tokens or credentials
- **Environment**: Use virtual environments for isolation
- **Dependencies**: Keep dependencies updated

### Scope

This security policy covers:
- Core package functionality
- Command-line interface
- Authentication mechanisms
- Data handling and processing

Out of scope:
- Third-party dependencies (report to their maintainers)
- User misconfigurations
- Taiga server vulnerabilities (report to Taiga team)

Thank you for helping keep Taiga CFD Analytics secure! 🔒
